Senders API

These are the Senders endpoints of the Keila API. For Keila Cloud, the base URL is https://app.keila.io.

All endpoints, unless stated differently, require Bearer authentication.

get /api/v1/senders

Index senders

Retrieve all senders from your project.

Responses

200 Sender response

  • dataobject[]
    • from_emailstring

      Email address used in the FROM field

      Example: "newsletter@mailings.example.com"

    • from_namestring

      Name used in the FROM field

      Example: "Space, Inc."

    • idstring

      Sender ID

      Example: "ms_12345"

    • namestring

      Example: "Space Inc. SMTP"

    • reply_to_emailstring

      Email address used in the REPLY_TO field

      Example: "hello@example.com"

    • reply_to_namestring

      Name used in the REPLY_TO field

      Example: "Space, Inc. Customer Service"

  • metaobject